Subject: Re: [PATCH] staging: r8712u: Fix kernel warning for improper call of del_timer_sync()

From: Larry Finger <[email-masked]>
Date: Sun, 24 May 2015 19:11:40 -0500

On 05/24/2015 02:03 PM, Haggai Eran wrote:
> On 24 May 2015 at 00:16, Larry Finger <[email-masked]> wrote:
>> The driver is reporting a warning at kernel/time/timer.c:1096 due to calling
>> del_timer_sync() while in interrupt mode. Such warnings are fixed by calling
>> del_timer() instead.
>>
>> Signed-off-by: Larry Finger <[email-masked]>
>> Cc: Stable <[email-masked]>
>> Cc: Haggi Eran <[email-masked]>
>
> Hi,
>
> I haven't been using kernel v4.1 so I haven't seen this warning, but looking
> at the code it seems to originate from the two recent patches to remove
> _cancel_timer and _cancel_timer_ex. I see that there's another patch in lkml [1]
> that changes del_timer_sync back to del_timer in more places. Perhaps it
> could prevent other warnings like this in the future.
>
> Regards,
> Haggai
>
> [1] https://lkml.org/lkml/2015/5/15/226

Yes, the script kiddies make changes they do not understand and screw everything 
up. Unfortunately, I did not catch these in review. I think I will submit V2 and 
blast the contributor.

Larry